import { Express } from 'express'
import { AppUserController } from '../endpoints/_index'

export function routes(app: Express) {
  /**
   * @swagger
   * /api/users:
   *  get:
   *    description: Get all users
   *    responses: 
   *      '200':
   *        description: A successful response
   */
  app.get('/api/users', AppUserController.AppUserGet.list)
  app.post('/api/user', AppUserController.AppUserPost.getValidationRules('CreateUser'), AppUserController.AppUserPost.createUser)
  app.post('/api/user/login', AppUserController.AppUserPost.getValidationRules('Login'), AppUserController.AppUserPost.login)
}
